Groovy Documentation

## org.codehaus.groovy.grails.compiler.support
[Java] Class GrailsResourceLoader

    java.lang.Object
      org.codehaus.groovy.grails.compiler.support.GrailsResourceLoader

All Implemented Interfaces:
  groovy.lang.GroovyResourceLoader

    public class GrailsResourceLoader

Loads groovy files using Spring's IO abstraction.

Authors:
  Graeme Rocher

Since:
  0.1

Constructor Summary
`GrailsResourceLoader(Resource[] resources)`

Method Summary
`java.util.List` | `getLoadedResources()`
`Resource` | `getResourceForClass(java.lang.Class theClass)` Returns the Grails resource for the given class or null if it is not a Grails resource.
`Resource[]` | `getResources()`
`java.net.URL` | `loadGroovySource(java.lang.String className)`
`void` | `setResources(Resource[] resources)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### GrailsResourceLoader

    public GrailsResourceLoader(Resource[] resources)

Method Detail

### getLoadedResources

    public java.util.List getLoadedResources()

### getResourceForClass

    public Resource getResourceForClass(java.lang.Class theClass)

  Returns the Grails resource for the given class or null if it is not a Grails resource.
  Parameters:
    `theClass` - The class
  Returns:
    The Resource or null

### getResources

    public Resource[] getResources()

### loadGroovySource

    public java.net.URL loadGroovySource(java.lang.String className)

### setResources

    public void setResources(Resource[] resources)

Groovy Documentation